OneBasket

Get Tickets (paged)

GET
/tickets/paged

Get a single page of tickets for the current authenticated contact, wrapped in a paging envelope. Accepts the same filters as GET /tickets plus the required page and pageSize parameters.

Authorization

BearerAuth ApiKeyAuth
AuthorizationBearer <token>

In: header

x-api-key<token>

In: header

Query Parameters

eventId?string

event identifier to filter tickets

forwardingStatus?array<>

filter tickets by forwarding status; repeat the parameter to match multiple statuses

from?string

inclusive lower bound (UTC, ISO-8601) on the event's effective time (end, or start when no end); omit for no lower bound

Formatdate-time
to?string

inclusive upper bound (UTC, ISO-8601) on the event's effective time (end, or start when no end); omit for no upper bound

Formatdate-time
page*integer

1-based page number to return

Formatint32
pageSize*integer

maximum number of tickets per page

Formatint32

Response Body

application/json

curl -X GET "https://example.com/tickets/paged?page=0&pageSize=0"
{  "results": [    {      "id": "string",      "providerId": "string",      "contacts": {        "purchaser": {          "contactId": "string",          "name": "string"        },        "assignee": {          "contactId": "string",          "name": "string"        },        "isOwner": true      },      "event": {        "id": "string",        "name": "string",        "type": "NOT_SET",        "start": "2019-08-24T14:15:22Z",        "end": "2019-08-24T14:15:22Z",        "image": "http://example.com",        "venue": {          "name": "string",          "city": "string",          "street": "string",          "postalCode": "string",          "latitude": "string",          "longitude": "string"        },        "sportsMatch": {          "teams": {            "home": {              "name": "string",              "logo": "http://example.com"            },            "away": {              "name": "string",              "logo": "http://example.com"            },            "teamType": "Unspecified"          },          "competition": "string",          "competitionKey": "string"        }      },      "capabilities": [        "CAN_FORWARD"      ],      "status": "NOT_SET",      "forwardingStatus": "NONE",      "ticketType": "VIP",      "ticketPackage": {        "items": {          "property1": "string",          "property2": "string"        }      },      "qrCode": {        "code": "string",        "availabilityFrom": "2019-08-24T14:15:22Z"      },      "price": {        "cost": {          "minorUnits": 0,          "precision": 0,          "currencyCode": "string"        },        "buyerType": "string"      },      "seating": {        "additionalMessage": "string",        "details": {          "property1": "string",          "property2": "string"        }      }    }  ],  "page": 0,  "pageSize": 0,  "pageTotal": 0,  "resultsTotal": 0,  "hasNextPage": true,  "hasPreviousPage": true}